diff --git a/src/backend/replication/logical/reorderbuffer.c b/src/backend/replication/logical/reorderbuffer.c
index 5cb484f..f708ef6 100644
--- a/src/backend/replication/logical/reorderbuffer.c
+++ b/src/backend/replication/logical/reorderbuffer.c
@@ -2267,8 +2267,12 @@ ReorderBufferProcessTXN(ReorderBuffer *rb, ReorderBufferTXN *txn,
 							if (!RelationIsValid(relation))
 								elog(ERROR, "could not open relation with OID %u", relid);
 
-							if (!RelationIsLogicallyLogged(relation))
-								continue;
+							/*
+							 * Logging the truncate has already done this
+							 * test. See ExecuteTruncate for more information
+							 * of the WAL write.
+							 */
+							Assert(RelationIsLogicallyLogged(relation));
 
 							relations[nrelations++] = relation;
 						}
